package com.tofly.watermeter.custom.mapper.meterBusiness;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.meterBusiness.dto.ChangeTableCondition;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ChangeTableMapper {

    Long getDeptId(@Param("userId") Long userId);

    List<Map> countChangeTable(@Param("dto") ChangeTableCondition dto);

    Page<Map> queryChangeTable(Page page, @Param("dto") ChangeTableCondition dto);

    List<Map> changeTableCause();

    List<Map> changeTableCountByType(@Param("dto") ChangeTableCondition dto);

}
